Page MenuHomeFreeBSD

Upgrade cloudabi-utils to version 0.5.
ClosedPublic

Authored by ed on Sep 10 2015, 9:25 AM.
Tags
None
Referenced Files
F81367017: D3616.diff
Mon, Apr 15, 6:20 AM
Unknown Object (File)
Mar 13 2024, 5:59 PM
Unknown Object (File)
Feb 27 2024, 8:14 AM
Unknown Object (File)
Feb 9 2024, 6:04 PM
Unknown Object (File)
Feb 9 2024, 6:04 PM
Unknown Object (File)
Feb 9 2024, 6:04 PM
Unknown Object (File)
Feb 8 2024, 11:15 PM
Unknown Object (File)
Jan 13 2024, 10:14 AM
Subscribers
None

Details

Summary

CloudABI now has its own package collection for FreeBSD and Debian based
systems (https://github.com/NuxiNL/cloudabi-ports/). This package
collection will only contain software that is cross compiled for
CloudABI -- no FreeBSD native executables.

I would like to go ahead and remove all ports that overlap with the
packages provided by CloudABI Ports. Let's start off by updating
cloudabi-utils to version 0.5. This version no longer depends on the
CloudABI toolchain, as it now ships with a precompiled copy of the
trampoline executable.

Once this is done, I can go ahead and remove devel/cloudabi-cloudlibc,
devel/cloudabi-compiler-rt, devel/cloudabi-libc++,
devel/cloudabi-libc++abi and devel/cloudabi-libunwind/.

Diff Detail

Repository
rP FreeBSD ports repository
Lint
Lint Not Applicable
Unit
Tests Not Applicable

Event Timeline

ed retitled this revision from to Upgrade cloudabi-utils to version 0.5..
ed updated this object.
ed edited the test plan for this revision. (Show Details)
ed added a reviewer: bapt.
bapt edited edge metadata.
This revision is now accepted and ready to land.Sep 11 2015, 11:54 PM
This revision was automatically updated to reflect the committed changes.